Bug 3070 - samba .20 + quota support
samba .20 + quota support
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.20
x86 Linux
: P3 major
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
http://lists.samba.org/archive/samba-...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-08 05:20 UTC by maxx
Modified: 2005-10-12 05:56 UTC (History)
1 user (show)

See Also:


Attachments
fix crash in call_trans2qfsinfo() when retrieving quota info (306 bytes, patch)
2005-10-12 05:55 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description maxx 2005-09-08 05:20:16 UTC
something strange here :

            Samba .20
            Mandriva 10.2 kernel 2.6.10
            quotas
                  /dev/sda8 /home reiserfs
noatime,notail,user_xattr,acl,usrquota,grpquota 1 2

            default samba conf with :

[tmp]
    comment = Temporary file space
    path = /home/maxx/temp
    writeable=yes
    vfs objects = recycle
    recycle:repository = /home/recycle/%U
    recycle:keeptree = yes
    recycle:versions = yes
    recycle:touch = yes
    recycle:maxsize =  0
    recycle:exclude = *.tmp,*.temp,~$*.*,*.~??
    recycle:exclude_dir = /tmp,/temp
    recycle:noversions = *.doc,*.xls

    when I logged in as admin user, mount [tmp] to network drive,
    rightclick and select "Quotas" I've got samba panic with :

Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:  
===============================================================
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]: [2005/09/07 13:37:04, 0]
lib/fault.c:fault_report(37)
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:   INTERNAL ERROR: Signal 11 in pid
24992 (3.0.20)
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:   Please read the appendix Bugs of
the Samba HOWTO collection
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]: [2005/09/07 13:37:04, 0]
lib/fault.c:fault_report(39)
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:  
===============================================================
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]: [2005/09/07 13:37:04, 0]
lib/util.c:smb_panic2(1548)
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:   PANIC: internal error
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]: [2005/09/07 13:37:04, 0]
lib/util.c:smb_panic2(1556)
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:   BACKTRACE: 13 stack frames:
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #0 smbd(smb_panic2+0x1f8)
[0x801e91d4]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #1 smbd(smb_panic+0x25) [0x801e8fd6]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #2 smbd [0x801d270b]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #3 smbd [0x801d2781]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #4 [0xffffe420]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #5 smbd(reply_trans2+0x9d6)
[0x8008db85]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #6 smbd [0x800a9fa2]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #7 smbd [0x800aa067]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #8 smbd(process_smb+0x22a)
[0x800aa433]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #9 smbd(smbd_process+0x173)
[0x800ab2ff]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #10 smbd(main+0x918) [0x8027a516]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #11
/lib/tls/libc.so.6(__libc_start_main+0xcb) [0xb7c09e4b]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:    #12 smbd [0x8003c011]
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[24992]:
Sep  7 13:37:04 0-d-88-64-a5-b4 smbd[25006]: [2005/09/07 13:37:04, 0]
lib/fault.c:fault_report(36)

logs with backtrace :

[2005/09/07 14:27:44, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/09/07 14:27:44, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 5154 (3.0.20)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/09/07 14:27:44, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/09/07 14:27:44, 0] lib/util.c:smb_panic2(1538)
  smb_panic(): calling panic action [/backtrace 5154]
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Using host libthread_db library "/lib/tls/libthread_db.so.1".
0xffffe410 in ?? ()
#0  0xffffe410 in ?? ()
No symbol table info available.
[2005/09/07 14:27:45, 0] lib/util.c:smb_panic2(1546)
  smb_panic(): action returned status 0
[2005/09/07 14:27:45, 0] lib/util.c:smb_panic2(1548)
  PANIC: internal error
[2005/09/07 14:27:45, 0] lib/util.c:smb_panic2(1556)
  BACKTRACE: 13 stack frames:
   #0 smbd(smb_panic2+0x1f8) [0x801e91d4]
   #1 smbd(smb_panic+0x25) [0x801e8fd6]
   #2 smbd [0x801d270b]
   #3 smbd [0x801d2781]
   #4 [0xffffe420]
   #5 smbd(reply_trans2+0x9d6) [0x8008db85]
   #6 smbd [0x800a9fa2]
   #7 smbd [0x800aa067]
   #8 smbd(process_smb+0x22a) [0x800aa433]
   #9 smbd(smbd_process+0x173) [0x800ab2ff]
   #10 smbd(main+0x918) [0x8027a516]
   #11 /lib/tls/libc.so.6(__libc_start_main+0xcb) [0xb7c09e4b]
   #12 smbd [0x8003c011]
[2005/09/07 14:27:45, 1] smbd/service.c:make_connection_snum(662)
  maxxws (10.0.211.30) connect to service tmp initially as user maxx (uid=0,
gid=500) (pid 5173)
[2005/09/07 14:27:45, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/09/07 14:27:45, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 5173 (3.0.20)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/09/07 14:27:45, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/09/07 14:27:45, 0] lib/util.c:smb_panic2(1538)
  smb_panic(): calling panic action [/backtrace 5173]
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Using host libthread_db library "/lib/tls/libthread_db.so.1".
0xffffe410 in ?? ()
#0  0xffffe410 in ?? ()
No symbol table info available.
[2005/09/07 14:27:45, 0] lib/util.c:smb_panic2(1546)
  smb_panic(): action returned status 0
[2005/09/07 14:27:45, 0] lib/util.c:smb_panic2(1548)
  PANIC: internal error
[2005/09/07 14:27:45, 0] lib/util.c:smb_panic2(1556)
  BACKTRACE: 13 stack frames:
   #0 smbd(smb_panic2+0x1f8) [0x801e91d4]
   #1 smbd(smb_panic+0x25) [0x801e8fd6]
   #2 smbd [0x801d270b]
   #3 smbd [0x801d2781]
   #4 [0xffffe420]
   #5 smbd(reply_trans2+0x9d6) [0x8008db85]
   #6 smbd [0x800a9fa2]
   #7 smbd [0x800aa067]
   #8 smbd(process_smb+0x22a) [0x800aa433]
   #9 smbd(smbd_process+0x173) [0x800ab2ff]
   #10 smbd(main+0x918) [0x8027a516]
   #11 /lib/tls/libc.so.6(__libc_start_main+0xcb) [0xb7c09e4b]
   #12 smbd [0x8003c011]
[2005/09/07 14:27:46, 1] smbd/service.c:make_connection_snum(662)
  maxxws (10.0.211.30) connect to service tmp initially as user maxx (uid=0,
gid=500) (pid 5185)
[2005/09/07 14:27:47, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/09/07 14:27:47, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 5185 (3.0.20)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/09/07 14:27:47, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/09/07 14:27:47, 0] lib/util.c:smb_panic2(1538)
  smb_panic(): calling panic action [/backtrace 5185]
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Using host libthread_db library "/lib/tls/libthread_db.so.1".
0xffffe410 in ?? ()
#0  0xffffe410 in ?? ()
No symbol table info available.
[2005/09/07 14:27:47, 0] lib/util.c:smb_panic2(1546)
  smb_panic(): action returned status 0
[2005/09/07 14:27:47, 0] lib/util.c:smb_panic2(1548)
  PANIC: internal error
[2005/09/07 14:27:47, 0] lib/util.c:smb_panic2(1556)
  BACKTRACE: 13 stack frames:
   #0 smbd(smb_panic2+0x1f8) [0x801e91d4]
   #1 smbd(smb_panic+0x25) [0x801e8fd6]
   #2 smbd [0x801d270b]
   #3 smbd [0x801d2781]
   #4 [0xffffe420]
   #5 smbd(reply_trans2+0x9d6) [0x8008db85]
   #6 smbd [0x800a9fa2]
   #7 smbd [0x800aa067]
   #8 smbd(process_smb+0x22a) [0x800aa433]
   #9 smbd(smbd_process+0x173) [0x800ab2ff]
   #10 smbd(main+0x918) [0x8027a516]
   #11 /lib/tls/libc.so.6(__libc_start_main+0xcb) [0xb7c09e4b]
   #12 smbd [0x8003c011]
[2005/09/07 14:27:48, 1] smbd/service.c:make_connection_snum(662)
  maxxws (10.0.211.30) connect to service tmp initially as user maxx (uid=0,
gid=500) (pid 5201)
[2005/09/07 14:27:49, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/09/07 14:27:49, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 5201 (3.0.20)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/09/07 14:27:49, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/09/07 14:27:49, 0] lib/util.c:smb_panic2(1538)
  smb_panic(): calling panic action [/backtrace 5201]
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Using host libthread_db library "/lib/tls/libthread_db.so.1".
0xffffe410 in ?? ()
#0  0xffffe410 in ?? ()
No symbol table info available.
[2005/09/07 14:27:49, 0] lib/util.c:smb_panic2(1546)
  smb_panic(): action returned status 0
[2005/09/07 14:27:49, 0] lib/util.c:smb_panic2(1548)
  PANIC: internal error
[2005/09/07 14:27:49, 0] lib/util.c:smb_panic2(1556)
  BACKTRACE: 13 stack frames:
   #0 smbd(smb_panic2+0x1f8) [0x801e91d4]
   #1 smbd(smb_panic+0x25) [0x801e8fd6]
   #2 smbd [0x801d270b]
   #3 smbd [0x801d2781]
   #4 [0xffffe420]
   #5 smbd(reply_trans2+0x9d6) [0x8008db85]
   #6 smbd [0x800a9fa2]
   #7 smbd [0x800aa067]
   #8 smbd(process_smb+0x22a) [0x800aa433]
   #9 smbd(smbd_process+0x173) [0x800ab2ff]
   #10 smbd(main+0x918) [0x8027a516]
   #11 /lib/tls/libc.so.6(__libc_start_main+0xcb) [0xb7c09e4b]
   #12 smbd [0x8003c011]
Comment 1 maxx 2005-10-04 09:33:08 UTC
the same on .20a and ext2 :(
Comment 2 Gerald (Jerry) Carter 2005-10-12 05:55:51 UTC
Created attachment 1501 [details]
fix crash in call_trans2qfsinfo() when retrieving quota info
Comment 3 Gerald (Jerry) Carter 2005-10-12 05:56:37 UTC
fixed.